.component-single-slider{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}

.component-single-slider_btn {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    border: none;
    padding: 0;
    background: transparent;
}

.component-single-slider_btn svg {
    width: 40px;
    height: 40px;
}

.component-single-slider_btn[name="previous"],
.component-single-slider_btn[name="next"] {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) rotate(-180deg);
    z-index: 10;
}

.component-single-slider_btn[name="previous"] {
    transform: translateY(-50%);
    left: 20px;
}

.component-single-slider_btn[name="next"] {
    right: 20px;
}

.component-single-slider_btn[disabled] {
    opacity: 0.5;
    cursor: not-allowed;
}

.component-single-slider_slider {
    width: 100%;
    height: 100%;
    overflow: hidden;
    white-space: nowrap;
    font-size: 0;
}

.component-single-slider_slide {
    width: 100%;
    height: 100%;
    font-size: 0;
    position: relative;
    display: inline-block;
    overflow: hidden;
    min-height: 80vh;
}

.component-single-slider_slide img {
    position: absolute;
    z-index: 9;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 500px;
    height: auto;
}

.component-single-slider_slide_image-default {
    width: 100%;
    height: 100%;
    background-color: #efefef;
}